slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSKrylovSchurSetPartitions

Sets the number of partitions for the case of doing spectrum slicing for a computational interval with the communicator split in several sub-communicators.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetPartitions(EPS eps,PetscInt npart)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| npart | - number of partitions

### Options Database Key

| -eps_krylovschur_partitions <npart> | - Sets the number of partitions

### Notes

By default, npart=1 so all processes in the communicator participate in the processing of the whole interval. If npart>1 then the interval is divided into npart subintervals, each of them being processed by a subset of processes.

The interval is split proportionally unless the separation points are specified with EPSKrylovSchurSetSubintervals().

### See Also

EPSKrylovSchurSetSubintervals(), EPSSetInterval()

### Level

advanced

### Location

src/eps/impls/krylov/krylovschur/krylovschur.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages